
GammaLib - Action #553

Feature # 903 (Closed): Implement a sky region class

Define interface for region classes.

10/11/2012 10:17 PM - Knödlseder Jürgen

Status: Rejected Start date: 10/09/2012

Priority: Normal Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: HESS sprint #1   

Description

As first step, the interface for the region classes should be defined.

I think it would be best to start from a minimal case, defining only the methods that are really needed.

History

#1 - 10/11/2012 10:20 PM - Knödlseder Jürgen

- Description updated

#2 - 10/11/2012 10:38 PM - Knödlseder Jürgen

To start get the ball rolling I started a Wiki page on regions: https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/GRegion

#3 - 10/11/2012 11:09 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#4 - 10/14/2012 03:09 PM - Deil Christoph

- Assigned To set to Deil Christoph

#5 - 10/15/2012 11:07 AM - Deil Christoph

Jürgen Knödlseder wrote:

To start get the ball rolling I started a Wiki page on regions: https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/GRegion

 

Thanks.

I'm trying to write down an API proposal and simplified code for the most important region use cases at the moment.

One thing I wanted to mention is that I don't think there is an XML region file format, so I would propose to use the ds9 / CIAO ascii format instead.

#6 - 10/15/2012 12:23 PM - Knödlseder Jürgen

I asked our VO gurus, and so far I got no response. I agree, let's use ds9 for the moment. We can always add an XML format if required.

#7 - 06/23/2013 02:37 PM - Martin Pierrick

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100
- Parent task changed from #535 to #903

#8 - 06/23/2013 10:23 PM - Knödlseder Jürgen

- Status changed from Resolved to Rejected

- Remaining (hours) set to 0.0
